harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oliver Deakin <oliver.dea...@googlemail.com>
Subject Re: [build] z/OS and Ant 1.8.0
Date Fri, 04 Jun 2010 09:48:31 GMT
Ok, this has finally reached the top of my todo list! Running 
fetch-depends on ant 1.7.5 on z/OS I get:

     Missing dependency.  The jar from:
       ${xalan.url}
     should be downloaded to:
       ${xalan.orig.jar}

but running on ant 1.8.0 I can run fetch-depends and the full build 
successfully, so it looks like this issue has been resolved. I've 
reverted the copy/delete workaround at revision r951343.

For those building on z/OS, the minimum required level of Ant is now 1.8.0.

Regards,
Oliver

On 01/05/2010 10:16, Oliver Deakin wrote:
> On 01/05/2010 08:53, Mark Hindess wrote:
>> In message<4B99750D.40304@googlemail.com>, Oliver Deakin writes:
>>> On 11/03/2010 21:36, Mark Hindess wrote:
>>>> Oliver,
>>>>
>>>> Do you know if ant bug 47382 is fixed in ant 1.8.0?  If so,
>>>> perhaps we could require that all our z/OS users (is it just
>>>> you? ;-)
>>> Not quite, but almost ;)
>>>
>>>> use that version now?  It would be nice to remove
>>>> the crazy copying hack from the property file loading.
>>>>
>>> Yep, this is on my todo list. If I get a chance in the next week or so
>>> I'll give it a test and remove the hack if it works.
>> Ping?
>
> Still on my todo list but getting close to the top...
>
> Regards,
> Oliver
>
>> -Mark.
>>
>>
>>
>>
>>
>

-- 
Oliver Deakin
Unless stated otherwise above:
IBM United Kingdom Limited - Registered in England and Wales with number 741598.
Registered office: PO Box 41, North Harbour, Portsmouth, Hampshire PO6 3AU


Mime
View raw message